%define libname_orig lib%{name}
%define api 0.1
%define major 3
%define libname %mklibname %{name} %api %major
%define develname %mklibname -d %name

%define version_lib %{api}-%{major}

%define	name    farsight
%define	version 0.1.28
%define	release %mkrel 1

Summary:	An audio/video conferencing framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Url:		http://farsight.sourceforge.net/	
Group:		Networking/Instant messaging
Source0:  	http://farsight.freedesktop.org/releases/farsight/%{name}-%{version}.tar.gz	
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk-doc
BuildRequires:  glib2-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  libjingle-devel
%define wronglibname %mklibname %name 1
Conflicts: %wronglibname <= 0.1.27

%description
FarSight is an audio/video conferencing framework 
specifically designed for Instant Messengers. It 
aims to provide a code structure that will be able 
to absorb as many video conferencing protocols as 
possible. It also offers an interface to those Instant 
Messengers, allowing them to embed the video feeds and 
controls into them.

FarSight is not a standalone application. It provides two 
APIs, one for interfacing with the different "protocol modules" 
and one for interfacing with the Instant Messenger GUI. There will 
also be a default GUI for those who don't wish to embed the feeds 
into their Instant Messenger's GUI.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Sophia-sip library
Group:		Graphical desktop/KDE
Provides:	%{libname_orig} = %{version}-%{release}
Obsoletes:	%mklibname farsight 0
Requires: %name >= %version

%description -n %{libname}
Library for %{name}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README TODO
%config(noreplace) %{_sysconfdir}/farsight/gstelements.conf
%config(noreplace) %{_sysconfdir}/farsight/gstcodecs.conf
%dir %{_sysconfdir}/farsight/


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfarsight-%{api}.so.%{major}*
#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel
Obsoletes:	%mklibname -d farsight 0

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog
%{_includedir}/farsight-%{api}
%{_libdir}/pkgconfig/farsight-%{api}.pc
%{_libdir}/libfarsight-%{api}.la
%{_libdir}/libfarsight-%{api}.so
%{_libdir}/farsight-%version_lib/librawudp-transmitter.la
%{_libdir}/farsight-%version_lib/librawudp-transmitter.so
%{_libdir}/farsight-%version_lib/librtp-session.la
%{_libdir}/farsight-%version_lib/librtp-session.so
%{_libdir}/farsight-%version_lib/libjingle-transmitter.la
%{_libdir}/farsight-%version_lib/libjingle-transmitter.so

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.1.28-1mdv2009.0
+ Revision: 205886
- New version

* Wed Apr 16 2008 Götz Waschk <waschk@mandriva.org> 0.1.27-3mdv2009.0
+ Revision: 194577
- add conflict with the broken package for upgrades

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 0.1.27-2mdv2009.0
+ Revision: 194104
- fix license
- add some docs
- don't call autogen, not needed
- fix libname
- split out config files

* Tue Apr 15 2008 Michael Scherer <misc@mandriva.org> 0.1.27-1mdv2009.0
+ Revision: 193917
- new version, ready for jingle \o/

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.1.25-1mdv2008.1
+ Revision: 177192
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Michael Scherer <misc@mandriva.org> 0.1.24-1mdv2008.0
+ Revision: 76744
- new version

* Tue Aug 21 2007 Michael Scherer <misc@mandriva.org> 0.1.23-1mdv2008.0
+ Revision: 68703
- new version
- add jingle support

* Fri Jul 13 2007 Funda Wang <fundawang@mandriva.org> 0.1.21-3mdv2008.0
+ Revision: 51831
- Obsoletes old major

* Fri Jul 13 2007 Funda Wang <fundawang@mandriva.org> 0.1.21-2mdv2008.0
+ Revision: 51798
- BR against new sofia-sip

* Wed Jul 11 2007 Funda Wang <fundawang@mandriva.org> 0.1.21-1mdv2008.0
+ Revision: 51246
- fix file list
- New version

* Tue May 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.18-1mdv2008.0
+ Revision: 20179
- New version 0.1.18


* Tue Jan 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.10-1mdv2007.0
+ Revision: 115227
-New version 0.1.10
- Add BuildRequires
- Add BuildRequires
- Fix BuildRequires
- New version 1.8
- Import farsight

* Thu Mar 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-0.03232006.2mdk
- Remova wrong require

* Thu Mar 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-0.%%{date}.1mdk
- First mandriva release

